[arch-commits] Commit in memcached/repos (3 files)

Dan McGee dan at archlinux.org
Sat Nov 14 16:17:50 EST 2009


    Date: Saturday, November 14, 2009 @ 16:17:50
  Author: dan
Revision: 58764

Merged revisions 58762 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/memcached/trunk

........
  r58762 | dan | 2009-11-14 15:15:26 -0600 (Sat, 14 Nov 2009) | 3 lines
  
  Version bump
........

Modified:
  memcached/repos/extra-i686/	(properties)
  memcached/repos/extra-i686/ChangeLog
  memcached/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    4 ++++
 PKGBUILD  |   22 ++++++++++++----------
 2 files changed, 16 insertions(+), 10 deletions(-)


Property changes on: memcached/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /memcached/trunk:1-56705
   + /memcached/trunk:1-58763

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-11-14 21:15:44 UTC (rev 58763)
+++ extra-i686/ChangeLog	2009-11-14 21:17:50 UTC (rev 58764)
@@ -1,3 +1,7 @@
+2009-11-14 Dan McGee <dan at archlinux.org>
+	* Bump to 1.4.3
+	* Added memcached-tool to package
+
 2009-09-13 Dan McGee <dan at archlinux.org>
 	* Bump to 1.4.1
 	* Add new required conf.d option MEMCACHED_USER

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-14 21:15:44 UTC (rev 58763)
+++ extra-i686/PKGBUILD	2009-11-14 21:17:50 UTC (rev 58764)
@@ -2,31 +2,33 @@
 # Contributor: Michael Irwin <6d6469 at gmail.com>
 
 pkgname=memcached
-pkgver=1.4.2
+pkgver=1.4.3
 pkgrel=1
 pkgdesc="A distributed memory object caching system"
 arch=(i686 x86_64)
-url="http://www.danga.com/memcached/"
+url="http://memcached.org/"
 license=('GPL')
 depends=('libevent')
+optdepends=('perl: for memcached-tool usage')
 backup=('etc/conf.d/memcached')
 source=(http://memcached.googlecode.com/files/$pkgname-$pkgver.tar.gz
         memcached.conf
         memcached.sh)
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr
-
   make || return 1
+}
 
-  make DESTDIR=$startdir/pkg install || return 1
-  install -D -m 644 $startdir/src/$pkgname.conf \
-  	$startdir/pkg/etc/conf.d/$pkgname
-  install -D -m 755 $startdir/src/$pkgname.sh \
-  	$startdir/pkg/etc/rc.d/$pkgname
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m 755 scripts/memcached-tool $pkgdir/usr/bin/memcached-tool
+  install -D -m 644 $srcdir/$pkgname.conf $pkgdir/etc/conf.d/$pkgname
+  install -D -m 755 $srcdir/$pkgname.sh $pkgdir/etc/rc.d/$pkgname
 }
 
-md5sums=('31caa3e74f2714ba49475b1df44bc315'
+md5sums=('83c6cc6bad9612536b5acbbbddab3eb3'
          'bf15619930dadf0c08669566e4aa809c'
          '65f88b69cf3112b178725af121327765')



More information about the arch-commits mailing list